Bug 239197 - Autoshapes action buttons and arrows are not displaying.
Summary: Autoshapes action buttons and arrows are not displaying.
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Applications
Component: filters (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: LukasT
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2009-09-18 07:33 UTC by Lassi Nieminen
Modified: 2011-04-27 10:09 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test Documnet to be tested in Kpresenter and MS Powerpoint 2000 (9.00 KB, application/vnd.ms-powerpoint)
2009-09-18 07:33 UTC, Lassi Nieminen
Details
Screenshot when viewed in Kpresenter. (47.74 KB, image/pjpeg)
2009-09-18 07:34 UTC, Lassi Nieminen
Details
Screenshot when viewed in MSPowerpoint 2000. (14.14 KB, image/pjpeg)
2009-09-18 07:35 UTC, Lassi Nieminen
Details
Screenshot when viewed in MS Powerpoint 2000.Screenshot captured and pasted in MS Paint. (2.25 MB, image/bmp)
2010-02-19 07:12 UTC, Lassi Nieminen
Details
Test data with arrows (115.00 KB, application/vnd.ms-powerpoint)
2011-04-14 10:29 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-05-28 03:09:06 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2009-09-18 08:33:55 +0300 ----

Created an attachment
Test Documnet to be tested in Kpresenter and MS Powerpoint 2000

SOFTWARE VERSION:
Kubuntu version 9.04
KOffice Version 1021093
Test Document(MS Office 2000): mp00_autoshapes_actionbutton.ppt

STEPS LEADING TO PROBLEM: 

1.Open the PPT in MS Powerpoint 2000.
2.Open the same document in KPresenter.
3.Observe the first slide.


EXPECTED OUTCOME:
The action button should be displayed.See
attachment(mp00_autoshape_actionbutton.jpeg)

ACTUAL OUTCOME:
The action button is not displayed.See attachment(kp_autoshape_actionbutton.jpeg)

FREQUENCY OF OCCURRENCE: 
Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2009-09-18 08:34:29 +0300 ----

Created an attachment
Screenshot when viewed in Kpresenter.



---- Additional Comments From lassi.ta.nieminen@nokia.com 2009-09-18 08:35:47 +0300 ----

Created an attachment
Screenshot when viewed in MSPowerpoint 2000.



---- Additional Comments From lassi.ta.nieminen@nokia.com 2009-12-04 10:35:20 +0200 ----

Reassigning bugs from Thomas to Lassi



---- Additional Comments From lassi.ta.nieminen@nokia.com 2009-12-15 19:15:01 +0200 ----

Problem in the filter.
If the button should actually do something this problem is more complex.



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-02-19 08:12:22 +0200 ----

Created an attachment
Screenshot when viewed in MS Powerpoint 2000.Screenshot captured and pasted in MS Paint.



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-02-25 15:40:06 +0200 ----

Changing severity to enhancement



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-03-10 12:52:49 +0200 ----

Moving to Community sub component



--- Bug imported by faure@kde.org 2010-05-28 03:09  ---

This bug was previously known as _bug_ 139571.

Imported an attachment (id=44598)
Imported an attachment (id=44599)
Imported an attachment (id=44600)
Imported an attachment (id=44601)

Unknown bug field "example" encountered while moving bug
   <example>2010-03-10 12:52:49</example>
Unknown Component Community
   Using default product and component set in Parameters 

Comment 1 LukasT 2011-03-23 12:42:06 UTC
I'm working on this bug
Comment 2 LukasT 2011-03-25 16:49:49 UTC
Git commit 7d722efbbf8215bd99fe00059c28a1b95dbc391f by Lukáš Tvrdý.
Committed on 25/03/2011 at 16:34.
Pushed by lukast into branch 'master'.

Display the missing autoshape action information button.

There are some problems:
The filter produces odp file which is rendered correctly in OOo
draw:type is probably handled per shape in OOo and according the
specs "The draw:type attribute specifies the name of a shape
type that is rendering engine dependent" (try with koconvertor)

The shape, when scaled, does not scale in content-aware style,
try in OOo to scale it and it changes the geometry. If you convert
the shape in OOo to polygon, it behaves same as in Calligra
Thus he shape of the circle is ellipse in Calligra.

BUG:239197

M  +1    -0    filters/libmso/ODrawToOdf.h     
M  +71   -0    filters/libmso/shapes.cpp     

http://commits.kde.org/calligra/7d722efbbf8215bd99fe00059c28a1b95dbc391f
Comment 3 swathi 2011-04-14 10:29:09 UTC
Created attachment 58949 [details]
Test data with arrows

In the attached test data autoshapes arrows are not displaying.
Comment 4 swathi 2011-04-27 10:09:44 UTC
Verified in text-layoutrestructure-boemann  branch.
Autoshape arrows are not displaying.It will be detailed as a seperate bug.